Update Pricing Group Metadata

Update pricing group name and/or description. This endpoint does not affect rates or account assignments. Use PUT /pricing-groups/{id}/rates to update rates.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

pricing_group_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
namestring or nullOptional<=128 characters
New name for the pricing group
descriptionstring or nullOptional<=256 characters
New description for the pricing group
submitted_bystring or nullOptional<=128 characters

Response

Successful Response
idstring
institution_idstring
namestring
descriptionstring or null
account_countinteger
Number of accounts currently assigned to this pricing group
interest_rate_tierslist of objects
created_atstring
updated_atstring
accountslist of objects
List of accounts assigned to this pricing group

Errors